package cn.reghao.tnb.content.app.vod.service.rcmd;

/**
 * @author reghao
 * @date 2023-02-21 21:34:18
 */
public class RedisKeys {
    public static String getUserDislikeKey(long userId) {
        return String.format("tnb:rcmd:dislike:user:%s", userId);
    }

    public static String getUserItemKey(long userId) {
        return String.format("tnb:rcmd:items:user:%s", userId);
    }
    
    public static String getUserInterestKey(long userId) {
        return String.format("tnb:rcmd:user:categories:%s", userId);
    }

    public static String getCategoryKey(String category) {
        return String.format("tnb:rcmd:category:items:%s", category);
    }

    public static String getUserItemstKey(long userId) {
        return String.format("tnb:rcmd:user:items:%s", userId);
    }

    public static String getItemUserstKey(String itemId) {
        return String.format("tnb:rcmd:item:users:%s", itemId);
    }

    public static String getItemScoresKey(String itemId) {
        return String.format("tnb:rcmd:item:%s:scores", itemId);
    }

    public static String getUserRecommendKey(long userId) {
        return String.format("tnb:rcmd:user:%s:all_recommended", userId);
    }

    public static String getUserSameItemsKey(long userId) {
        return String.format("tnb:rcmd:user:%s:same_items", userId);
    }

    public static String getRMSKey(long userId1, long userId2) {
        return String.format("tnb:rcmd:rms:%s:%s", userId1, userId2);
    }
}
